@CHARSET "ISO-8859-1";

.mapquery {
	margin-top: 10px;
	height: 550px;
	min-height: 550px;
	width: 100%;	
	clear: both;
	background: #FFFFFF url("../pics/loading.gif") 50% 50% no-repeat;
	position: relative;
}

.mapquery #map-spinner {
	margin-top: 10px;
	height: 505px;
	width: 100%;	
	background: url("../pics/spinner-solid.svg") 50% 50% no-repeat;
	pointer-events: none;
	position: absolute;
	z-index: 999;
	background-size: 100px;
	animation-name: icon-map-spin;
	animation-duration: 1300ms;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}
	.mapquery .o-map .awesomplete .visually-hidden {
		display: none;
	}
	
.mapquery .icon {
	margin-left: 0;
}

.draw-icon-toolbar {
	bottom: 35px;
    left: 50%;
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.2);
    -ms-transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
	border-radius: 2rem;
	background-color: #fff;
	color: #000;
	position: absolute;
	z-index: 10;
	padding: 5px;
	display: none;
}

.draw-icon-toolbar button {
	background-color: #fff;
	border: none;
	color: #000;
	cursor: pointer;
	width: 35px;
	text-align: center;
	padding: 0px;
	margin: 0 2px;
	height: 35px;
	border-radius: 2rem;
}

.draw-icon-toolbar button:focus, .draw-icon-toolbar button:active, .draw-icon-toolbar button::-moz-focus-inner {
	outline: 0 !important;
	outline: none !important;
}

.draw-icon-toolbar button.selected, .draw-icon-toolbar button:hover {
	background-color: #F1F1F1;
}

.draw-icon-toolbar button .icon, .draw-icon-toolbar button .text {
	display: block;
}

.draw-icon-toolbar button .text {
	display: none;
}

.draw-icon-toolbar button .icon img {
	max-height: 20px;
    max-width: 20px;
    vertical-align: middle;
}


/* Origo overrides */

.icon-map-query .o-search-wrapper, .icon-map-query:not(.loaded) .o-search-wrapper.o-hidden {
	display: none !important;
}

.icon-map-query .pudinfo-wrapper {
	margin-top: 10px;
	font-weight: 700;
}

.icon-map-query .pudinfo-wrapper span {
	font-weight: normal;	
}

.icon-map-query .o-search-field::-moz-placeholder, .icon-map-query .tt-input {
	color: #424242 !important;
}

.icon-map-query #o-search-button svg, .icon-map-query #o-search-button-close svg {
	fill: #424242 !important;
}

.icon-map-query .o-search-result-header {
	background-color: #424242;
}

.icon-map-query .o-map .o-search-field {
	height: 2em !important;
	padding: inherit;
	margin: inherit;
	padding-left: 0.5em;
	width: 260px;
}

.icon-map-query .o-map #o-footer {
	opacity: 0.5;
}

.icon-map-query .o-search-wrapper ul {
	max-height: 300px;
	overflow-y: scroll;
}

.icon-map-query button.o-button:hover, .icon-map-query button.o-button:focus, .icon-map-query .ol-control button:hover {
	background-color: #424242;
	fill: #424242;
}

.icon-map-query .o-geolocation-button-true .o-icon-fa-location-arrow {
	fill: #0084CA;
}

.icon-map-query .geometry-table {
	margin-top: 15px;
	font-size: 90%;
	display: none;
}

@media screen and (max-width: 767px) {
	
	.icon-map-query .geometry-table, .icon-map-query .geometry-table.show-pud {
		width: 100%;
	}
	
	#o-search-wrapper .o-search > span {
		width: calc(100% - 40px);
	}
	
	.o-pud-wrapper {
		left: 65px !important;
		text-align: center;
	}
	
	.o-pud-wrapper .o-pud {
		display: block;
	}
	
	.o-pud-wrapper button.o-pud-btn {
		padding: 7px 20px 8px 20px;
		margin: 0;
	}
	
	.icon-map-query .geometry-table .hide-mobile {
		display: none !important;
	}
	
}

@media screen and (max-width: 480px) {
	.o-search-wrapper.persist-pud {
		width: calc(100% - 20px) !important;
		max-width: none !important;
		margin-left: 0 !important;
	}
	
	.o-search-wrapper.persist-pud .o-search-field {
    	width: calc(100% + 40px) !important;
    	text-overflow: ellipsis !important;
	}
}

.icon-map-query .geometry-table .comment input[type='text'] {
	padding: 5px 7px;
	width: 100%;
	margin: 2px 0;
}

.icon-map-query .geometry-table .delete a[data-icon-after]::after {
	color: #c73434;
	font-size: 15px;
}

.icon-map-query.loaded .geometry-table:not(.hidden), .icon-map-query.loaded .o-search-wrapper:not(.o-hidden) {
	display: block !important;
}

.icon-map-query.loaded .draw-icon-toolbar {
	display: flex !important;
}

.icon-map-query .geometry-table .error {
	color: #C73434;
}

.icon-map-query .open-help[data-icon-after]::after {
	font-size: 13px;
	color: #333 !important;
}

.icon-map-query .help-box {
	z-index: 1000;
}

.icon-map-query .popup {
	min-width: 350px;
	background-color:#fff;
	border: 1px solid rgba(0,0,0,.2);
	border-radius: 4px;
	font-size: 13px;
	font-style: normal;
	font-weight: 400;
	line-height: 1.42857143;
	text-align: start;
	text-decoration: none;
	text-shadow: none;
	text-transform: none;
	letter-spacing: normal;
	word-break: normal;
	word-spacing: normal;
	word-wrap: normal;
	white-space: normal;
	padding: 1px;
	z-index: 1060;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.45);
	display: none;
}

@media screen and (max-width: 767px) {
	
	.icon-map-query .popup {
		min-width: 220px;
		width: 220px;
	}
	
	.icon-map-query .geometry-table .comment input[type='text'] {
		width: 55%;
	}
}

.icon-map-query .popup > .arrow {
	bottom: -11px;
	margin-left: -11px;
	border-color: transparent;
	border-top-color: rgba(0,0,0,.25);
	border-width: 11px;
	border-bottom-width: 0;
	position: absolute;
	display: block;
	width: 0;
	height: 0;
	border-style: solid;
	left: 50%;
}

.icon-map-query .popup > .arrow::after {
	bottom: 2px;
	margin-left: -10px;
	content: " ";
	border-color: transparent;
	border-top-color: #fff;
	border-width: 10px;
	border-bottom-width: 0;
	position: absolute;
	display: block;
	width: 0;
	height: 0;
	border-style: solid;
}

.icon-map-query .popup .popup-title {
	padding: 6px 10px;
	margin: 0;
	font-size: 13px;
	background-color: #f7f7f7;
	border-bottom: 1px solid #ebebeb;
	border-radius: 5px 5px 0 0;
}

.icon-map-query .popup .popup-title .close {
	float: right;
}

.icon-map-query .popup .popup-content {
	font-size: 13px;
	font-style: normal;
	font-weight: 400;
	line-height: 1.42857143;
	text-align: start;
	text-shadow: none;
	text-transform: none;
	letter-spacing: normal;
	word-break: normal;
	word-spacing: normal;
	word-wrap: normal;
	white-space: normal;
	padding: 6px 10px;
}

.icon-map-query .popup .popup-content input {
	float: right;
	margin-top: 5px;
	margin-bottom: 5px;
	margin-left: 10px;
}

.icon-map-query .ol-overlay-container {
	z-index: 20;
}

.icon-map-query .ol-overlay-container .popup {
	display: block;
}

/* revert openhierarchy.css rule */
.service article .geometry-table .description {
	clear: none;
    float: none;
    font-size: inherit;
    padding-bottom: 13px;
}

.app-wrapper {
    height: 100%;
    overflow: hidden;
    position: relative;
}

/* Override origo styling with higher specificity, restores our default style */
.icon-map-query .btn {
	border: 0;
	padding: 10px 20px 9px;
	font-family: 'Source Sans Pro', sans-serif;
	font-size: 14px;
	line-height: 1;
}
.icon-map-query .btn.btn-blue {
	background: #2969bf;
}
.icon-map-query .btn.btn-blue:hover, 
.icon-map-query .btn.btn-blue:focus {
	background: #245da6;
}

.icon-map-query .polygon-mouse-hint,
.icon-map-query .line-mouse-hint {
    background: rgba(0, 0, 0, 0.4);
    border-radius: 4px;
    color: white;
    font: 70% normal, sans-serif;
    opacity: 0.6;
    padding: 1px 2px;
    pointer-events: none;
    position: relative;
    white-space: nowrap;
}

@keyframes icon-map-spin {
	from {
		transform: rotate(0deg);
	}

	to {
		transform: rotate(-360deg);
	}
}